[med-svn] [prottest] 04/05: Add additional check for machines file
Andreas Tille
tille at debian.org
Wed May 11 15:45:22 UTC 2016
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository prottest.
commit 061ef22a086732b0a8c4695307f0a5342116133f
Author: Andreas Tille <tille at debian.org>
Date: Wed May 11 13:16:36 2016 +0200
Add additional check for machines file
---
debian/bin/runProtTestHPC | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/debian/bin/runProtTestHPC b/debian/bin/runProtTestHPC
index 1209698..6b4ae02 100755
--- a/debian/bin/runProtTestHPC
+++ b/debian/bin/runProtTestHPC
@@ -4,6 +4,15 @@ if [ $# -lt 1 ] ; then
exit 1
fi
+if [ ! -e machines ] ; then
+ cat <<EOT
+<machines> file cannot be found. Please follow the mpj documentation at
+ http://mpjexpress.blogspot.de/2013/11/installing-configuring-and-using-mpj.html
+to create one and start the according services
+EOT
+ exit 1
+fi
+
export NP=$1
shift
mpjrun -dev niodev -wdir $PWD/ -np $NP -jar /usr/share/java/prottest.jar $*
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/prottest.git
More information about the debian-med-commit
mailing list